## tdegraphics-trinity 14.1.3

=== debian/changelog ===
tdegraphics-trinity (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:12:03 +0200
