## tdegraphics-trinity 14.1.4

=== debian/changelog ===
tdegraphics-trinity (4:14.1.4-0debian10.0.0+0) buster; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 16 Apr 2025 12:17:31 +0200
