=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

DEB_DH_STRIP_ARGS  := --dbg-package=tdegraphics-trinity-dbg

PACKAGES_WITH_LIBS := kfaxview-trinity kghostview-trinity kpovmodeler-trinity ksvg-trinity \
			kuickshow-trinity kview-trinity kviewshell-trinity libkscan1-trinity

DEB_DH_MAKESHLIBS_ARGS_kghostview-trinity	:= -V'kghostview-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kpovmodeler-trinity	:= -V'kpovmodeler-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_ksvg-trinity	:= -V'ksvg-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kview-trinity	:= -V'kview-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kviewshell-trinity	:= -V'kviewshell-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_libkscan1-trinity	:= -V'libkscan1-trinity (>= 4:3.5.5-1)'

binary-post-install/kuickshow-trinity::
ifeq ($(DEB_HOST_ARCH), powerpc)
	chrpath -d -k debian/kuickshow-trinity/opt/trinity/lib/libtdeinit_kuickshow.so
endif
