## tdegraphics-trinity 14.1.5~pre6

=== debian/changelog ===
tdegraphics-trinity (4:14.1.5~pre6-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for ddb0c7bf882c384132b7da93885d6034bab42add
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
