=== kgamma/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( kcmkgamma )
add_subdirectory( xf86gammacfg )
