## tdegraphics-trinity 14.1.6~pre4

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b93fe37afd66495a2fef3cc3052eabd92ded4102
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Nov 2025 18:42:24 +0100
