## tdegraphics-trinity 14.1.6~pre5

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre5-0raspbian12.0.2+0) raspbian-bookworm; urgency=low

  * Automated git build for 6c8e22876f57a3db07e312216af396801cf0adc4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 06 Dec 2025 11:46:22 +0100
