## tdegraphics-trinity 14.1.6~pre8

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 646778a17ff06ceba51155f50d32bfe306a3da06
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Dec 2025 00:55:29 +0100
