## tdegraphics-trinity 14.1.6~pre10

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre10-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 3813f0d76c072ecdc584dcf0b5848bdde2c2fb2e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:39 +0100
