## tdegraphics-trinity 14.1.6~pre13

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre13-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 56adb0bcd5a23f61d1ffa7c0f1d5398be094fe1d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:18:20 +0100
