## tdegraphics-trinity 14.1.6~pre16

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre16-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a659913f812b234d13000d2c4b576aa374ac6094
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 08 Feb 2026 21:52:55 +0100
