=== kolourpaint/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( custom )

tde_install_icons( kolourpaint )
tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/kolourpaint/icons )
