=== kooka/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    mirror-both.png mirror-horiz.png mirror-vert.png scaletoheight.png
    scaletowidth.png scaleorig.png ocr.png ocr-select.png
    newfromselect.png thumbviewtile.png gocr.png ocrad.png lockzoom.png
  DESTINATION ${DATA_INSTALL_DIR}/kooka/pics )
