=== debian/changelog ===
tdegraphics-trinity (4:14.2.0~pre123-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for c85b7b5ed7793fdfadd90d2801549ea55785c60b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
